#----------------------------------------------------------------------------
# SrcRoot.mk -> ${ROOT}/src/Makefile
#
# Makefiles for managing a Java project consisting of multiple packages.
# (see ${ROOT}/etc/Makefile.README)
# Daishi Harada (daishi@cs.berkeley.edu)
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# BEGIN: User Definitions

# Root packages in the project.
# This should be the names of the subdirectories.
#	E.g. SUBPACKAGES = aima

SUBPACKAGES =

# END: User Definitions
#----------------------------------------------------------------------------

SRC_ROOT = ${shell pwd}
ROOT = ${SRC_ROOT}/..

include ${ROOT}/include/Defs.mk
include ${ROOT}/include/Rules.mk

jars:
	${CLEAN} ${TMP_FILE} ${MANIFEST_FILE}
	for file in `find . -name "${BEANS_FILE}" -print`; do \
		echo `dirname $${file}`/`cat $${file}` >> ${TMP_FILE}; \
	done
	for bean in `cat ${TMP_FILE}`; do \
		echo Name: `echo $${bean} | sed -e "s/^\.\///g"`.class >> ${MANIFEST_FILE}; \
		echo Java-Bean: True >> ${MANIFEST_FILE}; \
		echo >> ${MANIFEST_FILE}; \
	done
	${CLEAN} ${TMP_FILE}
	find . -name "*.class" -print | sed -e "s/^\.\///g" >> ${TMP_FILE};
	jar cfm ${JAR_FILE} ${MANIFEST_FILE} `cat ${TMP_FILE}`;
	mv ${JAR_FILE} ${JAR_DIR}
